Bug 478091 - MIGRATED_FROM_JIRA: Modify Error using JXplorer (2)
MIGRATED_FROM_JIRA: Modify Error using JXplorer (2)
Status: MODIFIED
Product: penrose
Classification: Retired
Component: Engine (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 02:58 EST by Chandrasekar Kannan
Modified: 2016-01-28 16:59 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 02:58:25 EST
% tail -f penrose.out produces
...
java.lang.NullPointerException
        at org.safehaus.penrose.engine.Engine.getFieldValues(Engine.java:600)
        at org.safehaus.penrose.engine.Engine.getFieldValues(Engine.java:604)
        at org.safehaus.penrose.engine.Engine.getFieldValues(Engine.java:604)
        at org.safehaus.penrose.engine.Engine.getFieldValues(Engine.java:604)
        at org.safehaus.penrose.engine.Engine.getFieldValues(Engine.java:585)
        at org.safehaus.penrose.engine.Engine.modify(Engine.java:374)
        at org.safehaus.penrose.handler.ModifyHandler.modifyVirtualEntry(ModifyHandler.java:261)
        at org.safehaus.penrose.handler.ModifyHandler.performModify(ModifyHandler.java:122)
        at org.safehaus.penrose.handler.ModifyHandler.modify(ModifyHandler.java:94)
        at org.safehaus.penrose.handler.Handler.modify(Handler.java:93)
        at org.safehaus.penrose.PenroseConnection.modify(PenroseConnection.java:91)
        at org.safehaus.penrose.apacheds.PenroseInterceptor.modify(PenroseInterceptor.java:769)
        at org.apache.ldap.server.interceptor.InterceptorChain.modify(InterceptorChain.java:625)
        at org.apache.ldap.server.jndi.ContextPartitionNexusProxy.modify(ContextPartitionNexusProxy.java:213)
        at org.apache.ldap.server.jndi.ServerDirContext.modifyAttributes(ServerDirContext.java:176)
        at org.apache.ldap.server.jndi.ServerDirContext.modifyAttributes(ServerDirContext.java:166)
        at javax.naming.directory.InitialDirContext.modifyAttributes(InitialDirContext.java:148)
        at org.apache.ldap.server.protocol.ModifyHandler.messageReceived(ModifyHandler.java:141)
        at org.apache.mina.protocol.handler.DemuxingProtocolHandler.messageReceived(DemuxingProtocolHandler.java:70)
        at org.apache.mina.protocol.AbstractProtocolFilterChain$2.messageReceived(AbstractProtocolFilterChain.java:149)
        at org.apache.mina.protocol.AbstractProtocolFilterChain.callNextMessageReceived(AbstractProtocolFilterChain.java:365)
        at org.apache.mina.protocol.AbstractProtocolFilterChain.access$1000(AbstractProtocolFilterChain.java:50)
        at org.apache.mina.protocol.AbstractProtocolFilterChain$Entry$1.messageReceived(AbstractProtocolFilterChain.java:524)
        at org.apache.mina.protocol.AbstractProtocolFilterChain$1.messageReceived(AbstractProtocolFilterChain.java:99)
        at org.apache.mina.protocol.AbstractProtocolFilterChain.callNextMessageReceived(AbstractProtocolFilterChain.java:365)
        at org.apache.mina.protocol.AbstractProtocolFilterChain.messageReceived(AbstractProtocolFilterChain.java:356)
        at org.apache.mina.protocol.ProtocolSessionManagerFilterChain$1.messageReceived(ProtocolSessionManagerFilterChain.java:77)
        at org.apache.mina.protocol.AbstractProtocolFilterChain.callNextMessageReceived(AbstractProtocolFilterChain.java:365)
        at org.apache.mina.protocol.AbstractProtocolFilterChain.access$1000(AbstractProtocolFilterChain.java:50)
        at org.apache.mina.protocol.AbstractProtocolFilterChain$Entry$1.messageReceived(AbstractProtocolFilterChain.java:524)
        at org.apache.mina.protocol.filter.ProtocolThreadPoolFilter.processEvent(ProtocolThreadPoolFilter.java:108)
        at org.apache.mina.util.BaseThreadPool$Worker.processEvents(BaseThreadPool.java:393)
        at org.apache.mina.util.BaseThreadPool$Worker.run(BaseThreadPool.java:333)


JXplorer Print Stack:

javax.naming.NamingException: [LDAP: error code 80 - failed to modify entry cn=bhall,ou=Users,dc=safehaus,dc=org]; remaining name 'cn=bhall,ou=Users,dc=safehaus,dc=org'
	at com.sun.jndi.ldap.LdapCtx.mapErrorCode(LdapCtx.java:3032)
	at com.sun.jndi.ldap.LdapCtx.processReturnCode(LdapCtx.java:2934)
	at com.sun.jndi.ldap.LdapCtx.processReturnCode(LdapCtx.java:2740)
	at com.sun.jndi.ldap.LdapCtx.c_modifyAttributes(LdapCtx.java:1440)
	at com.sun.jndi.toolkit.ctx.ComponentDirContext.p_modifyAttributes(ComponentDirContext.java:255)
	at com.sun.jndi.toolkit.ctx.PartialCompositeDirContext.modifyAttributes(PartialCompositeDirContext.java:172)
	at javax.naming.directory.InitialDirContext.modifyAttributes(InitialDirContext.java:151)
	at com.ca.commons.jndi.JNDIOps.modifyAttributes(JNDIOps.java:618)
	at com.ca.directory.jxplorer.broker.CBGraphicsOps.modifyAttributes(CBGraphicsOps.java:111)
	at com.ca.commons.naming.DXOps.updateEntry(DXOps.java:558)
	at com.ca.commons.naming.DXOps.modifyEntry(DXOps.java:296)
	at com.ca.directory.jxplorer.broker.JNDIBroker.unthreadedModify(JNDIBroker.java:1046)
	at com.ca.directory.jxplorer.broker.Broker.doModifyQuery(Broker.java:425)
	at com.ca.directory.jxplorer.broker.Broker.processRequest(Broker.java:206)
	at com.ca.directory.jxplorer.broker.JNDIBroker.processRequest(JNDIBroker.java:360)
	at com.ca.directory.jxplorer.broker.Broker.processQueue(Broker.java:158)
	at com.ca.directory.jxplorer.broker.JNDIBroker.processQueue(JNDIBroker.java:877)
	at com.ca.directory.jxplorer.broker.Broker.run(Broker.java:124)
	at java.lang.Thread.run(Thread.java:552)



Additional Comments From endisd dated Mon Oct 17 16:20:27 CDT 2005 
This has been fixed in 0.9.7.


=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '3',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '5',
          'components' => [
                            {
                              'name' => 'Engine',
                              'id' => '10009'
                            }
                          ],
          'reporter' => 'jimyang',
          'key' => 'PENROSE-102',
          'assignee' => 'endisd',
          'summary' => 'Modify Error using JXplorer (2)',
          'id' => '10294',
          'updated' => '2005-10-17 16:20:28.0',
          'votes' => '0',
          'fixVersions' => [
                           {
                             'releaseDate' => '2005-10-17 00:00:00.0',
                             'sequence' => '7',
                             'name' => 'Penrose-0.9.7',
                             'released' => 'true',
                             'id' => '10033',
                             'archived' => 'false'
                           }
                         ],
          'description' => '% tail -f penrose.out produces
...
java.lang.NullPointerException
        at org.safehaus.penrose.engine.Engine.getFieldValues(Engine.java:600)
        at org.safehaus.penrose.engine.Engine.getFieldValues(Engine.java:604)
        at org.safehaus.penrose.engine.Engine.getFieldValues(Engine.java:604)
        at org.safehaus.penrose.engine.Engine.getFieldValues(Engine.java:604)
        at org.safehaus.penrose.engine.Engine.getFieldValues(Engine.java:585)
        at org.safehaus.penrose.engine.Engine.modify(Engine.java:374)
        at org.safehaus.penrose.handler.ModifyHandler.modifyVirtualEntry(ModifyHandler.java:261)
        at org.safehaus.penrose.handler.ModifyHandler.performModify(ModifyHandler.java:122)
        at org.safehaus.penrose.handler.ModifyHandler.modify(ModifyHandler.java:94)
        at org.safehaus.penrose.handler.Handler.modify(Handler.java:93)
        at org.safehaus.penrose.PenroseConnection.modify(PenroseConnection.java:91)
        at org.safehaus.penrose.apacheds.PenroseInterceptor.modify(PenroseInterceptor.java:769)
        at org.apache.ldap.server.interceptor.InterceptorChain.modify(InterceptorChain.java:625)
        at org.apache.ldap.server.jndi.ContextPartitionNexusProxy.modify(ContextPartitionNexusProxy.java:213)
        at org.apache.ldap.server.jndi.ServerDirContext.modifyAttributes(ServerDirContext.java:176)
        at org.apache.ldap.server.jndi.ServerDirContext.modifyAttributes(ServerDirContext.java:166)
        at javax.naming.directory.InitialDirContext.modifyAttributes(InitialDirContext.java:148)
        at org.apache.ldap.server.protocol.ModifyHandler.messageReceived(ModifyHandler.java:141)
        at org.apache.mina.protocol.handler.DemuxingProtocolHandler.messageReceived(DemuxingProtocolHandler.java:70)
        at org.apache.mina.protocol.AbstractProtocolFilterChain$2.messageReceived(AbstractProtocolFilterChain.java:149)
        at org.apache.mina.protocol.AbstractProtocolFilterChain.callNextMessageReceived(AbstractProtocolFilterChain.java:365)
        at org.apache.mina.protocol.AbstractProtocolFilterChain.access$1000(AbstractProtocolFilterChain.java:50)
        at org.apache.mina.protocol.AbstractProtocolFilterChain$Entry$1.messageReceived(AbstractProtocolFilterChain.java:524)
        at org.apache.mina.protocol.AbstractProtocolFilterChain$1.messageReceived(AbstractProtocolFilterChain.java:99)
        at org.apache.mina.protocol.AbstractProtocolFilterChain.callNextMessageReceived(AbstractProtocolFilterChain.java:365)
        at org.apache.mina.protocol.AbstractProtocolFilterChain.messageReceived(AbstractProtocolFilterChain.java:356)
        at org.apache.mina.protocol.ProtocolSessionManagerFilterChain$1.messageReceived(ProtocolSessionManagerFilterChain.java:77)
        at org.apache.mina.protocol.AbstractProtocolFilterChain.callNextMessageReceived(AbstractProtocolFilterChain.java:365)
        at org.apache.mina.protocol.AbstractProtocolFilterChain.access$1000(AbstractProtocolFilterChain.java:50)
        at org.apache.mina.protocol.AbstractProtocolFilterChain$Entry$1.messageReceived(AbstractProtocolFilterChain.java:524)
        at org.apache.mina.protocol.filter.ProtocolThreadPoolFilter.processEvent(ProtocolThreadPoolFilter.java:108)
        at org.apache.mina.util.BaseThreadPool$Worker.processEvents(BaseThreadPool.java:393)
        at org.apache.mina.util.BaseThreadPool$Worker.run(BaseThreadPool.java:333)


JXplorer Print Stack:

javax.naming.NamingException: [LDAP: error code 80 - failed to modify entry cn=bhall,ou=Users,dc=safehaus,dc=org]; remaining name 'cn=bhall,ou=Users,dc=safehaus,dc=org'
	at com.sun.jndi.ldap.LdapCtx.mapErrorCode(LdapCtx.java:3032)
	at com.sun.jndi.ldap.LdapCtx.processReturnCode(LdapCtx.java:2934)
	at com.sun.jndi.ldap.LdapCtx.processReturnCode(LdapCtx.java:2740)
	at com.sun.jndi.ldap.LdapCtx.c_modifyAttributes(LdapCtx.java:1440)
	at com.sun.jndi.toolkit.ctx.ComponentDirContext.p_modifyAttributes(ComponentDirContext.java:255)
	at com.sun.jndi.toolkit.ctx.PartialCompositeDirContext.modifyAttributes(PartialCompositeDirContext.java:172)
	at javax.naming.directory.InitialDirContext.modifyAttributes(InitialDirContext.java:151)
	at com.ca.commons.jndi.JNDIOps.modifyAttributes(JNDIOps.java:618)
	at com.ca.directory.jxplorer.broker.CBGraphicsOps.modifyAttributes(CBGraphicsOps.java:111)
	at com.ca.commons.naming.DXOps.updateEntry(DXOps.java:558)
	at com.ca.commons.naming.DXOps.modifyEntry(DXOps.java:296)
	at com.ca.directory.jxplorer.broker.JNDIBroker.unthreadedModify(JNDIBroker.java:1046)
	at com.ca.directory.jxplorer.broker.Broker.doModifyQuery(Broker.java:425)
	at com.ca.directory.jxplorer.broker.Broker.processRequest(Broker.java:206)
	at com.ca.directory.jxplorer.broker.JNDIBroker.processRequest(JNDIBroker.java:360)
	at com.ca.directory.jxplorer.broker.Broker.processQueue(Broker.java:158)
	at com.ca.directory.jxplorer.broker.JNDIBroker.processQueue(JNDIBroker.java:877)
	at com.ca.directory.jxplorer.broker.Broker.run(Broker.java:124)
	at java.lang.Thread.run(Thread.java:552)


',
          'affectsVersions' => [],
          'created' => '2005-10-15 03:17:30.0',
          'environment' => 'Mac OS X 10.4.2, MySQL, Latest Penrose Build',
          'resolution' => '1',
          'type' => '1'
        };


=========================================================
Comment 1 Chandrasekar Kannan 2008-12-27 02:58:27 EST
Marking bug as MODIFIED as it was already resolved in Jira - PENROSE-102

Note You need to log in before you can comment on or make changes to this bug.